Differences

This shows you the differences between two versions of the page.

Link to this comparison view

daily:odoo_error_when_activating_webiste_sales [2019/11/27 07:13] (current)
admin created
Line 1: Line 1:
 +If you see this error:
  
 +<code bash>
 +Error:
 + ​Server Error
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 1108, in _validate_fields
 +    check(self)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 345, in _check_xml
 +    view_def = view.read_combined(['​arch'​])
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 794, in read_combined
 +    arch = self.apply_view_inheritance(arch_tree,​ root.id, self.model)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 742, in apply_view_inheritance
 +    source = self.apply_inheritance_specs(source,​ specs_tree, view_id)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 720, in apply_inheritance_specs
 +    self.raise_view_error(_("​Element '​%s'​ cannot be located in parent view") % tag, inherit_id)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 548, in raise_view_error
 +    raise ValueError(message)
 +ValueError: Element '<​xpath expr="//​div[hasclass('​o_brand_promotion'​)]">'​ cannot be located in parent view
 +
 +Error context:
 +View `website_sale.brand_promotion`
 +[view_id: 2290, xml_id: n/a, model: n/a, parent_id: 1047]
 +
 +During handling of the above exception, another exception occurred:
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 758, in parse
 +    self._tags[rec.tag](rec,​ de, mode=mode)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 736, in _tag_template
 +    return self._tag_record(record,​ data_node)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 663, in _tag_record
 +    record = model.with_context(rec_context)._load_records([data],​ self.mode == '​update'​)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3868, in _load_records
 +    records = self._load_records_create([data['​values'​] for data in to_create])
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​website/​models/​ir_ui_view.py",​ line 129, in _load_records_create
 +    records = super(View, self)._load_records_create(values)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3782, in _load_records_create
 +    return self.create(values)
 +  File "<​decorator-gen-32>",​ line 2, in create
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 462, in _model_create_multi
 +    return create(self,​ arg)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 428, in create
 +    return super(View, self).create(vals_list)
 +  File "<​decorator-gen-3>",​ line 2, in create
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 462, in _model_create_multi
 +    return create(self,​ arg)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3599, in create
 +    fields[0].determine_inverse(batch_recs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​fields.py",​ line 1125, in determine_inverse
 +    getattr(records,​ self.inverse)()
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 275, in _inverse_arch
 +    view.write(data)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​website/​models/​ir_ui_view.py",​ line 41, in write
 +    return super(View, self).write(vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 444, in write
 +    return super(View, self).write(self._compute_defaults(vals))
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3324, in write
 +    self._write(store_vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3460, in _write
 +    self._validate_fields(vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 1112, in _validate_fields
 +    raise ValidationError("​%s\n\n%s"​ % (_("​Error while validating constraint"​),​ tools.ustr(e)))
 +odoo.exceptions.ValidationError:​ ('​Error while validating constraint\n\nElement \'<​xpath expr="//​div[hasclass(\'​o_brand_promotion\'​)]">​\'​ cannot be located in parent view\n\nError context:​\nView `website_sale.brand_promotion`\n[view_id:​ 2290, xml_id: n/a, model: n/a, parent_id: 1047]',​ None)
 +
 +During handling of the above exception, another exception occurred:
 +
 +Traceback (most recent call last):
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 656, in _handle_exception
 +    return super(JsonRequest,​ self)._handle_exception(exception)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 314, in _handle_exception
 +    raise pycompat.reraise(type(exception),​ exception, sys.exc_info()[2])
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​pycompat.py",​ line 87, in reraise
 +    raise value
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 698, in dispatch
 +    result = self._call_function(**self.params)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 346, in _call_function
 +    return checked_call(self.db,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​service/​model.py",​ line 97, in wrapper
 +    return f(dbname, *args, **kwargs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 339, in checked_call
 +    result = self.endpoint(*a,​ **kw)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 941, in __call__
 +    return self.method(*args,​ **kw)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​http.py",​ line 519, in response_wrap
 +    response = f(*args, **kw)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​web/​controllers/​main.py",​ line 966, in call_button
 +    action = self._call_kw(model,​ method, args, {})
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​web/​controllers/​main.py",​ line 954, in _call_kw
 +    return call_kw(request.env[model],​ method, args, kwargs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 759, in call_kw
 +    return _call_kw_multi(method,​ model, args, kwargs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 746, in _call_kw_multi
 +    result = method(recs,​ *args, **kwargs)
 +  File "<​decorator-gen-61>",​ line 2, in button_immediate_install
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_module.py",​ line 74, in check_and_log
 +    return method(self,​ *args, **kwargs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_module.py",​ line 445, in button_immediate_install
 +    return self._button_immediate_function(type(self).button_install)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_module.py",​ line 561, in _button_immediate_function
 +    modules.registry.Registry.new(self._cr.dbname,​ update_module=True)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​modules/​registry.py",​ line 86, in new
 +    odoo.modules.load_modules(registry._db,​ force_demo, status, update_module)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​modules/​loading.py",​ line 421, in load_modules
 +    loaded_modules,​ update_module,​ models_to_check)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​modules/​loading.py",​ line 313, in load_marked_modules
 +    perform_checks=perform_checks,​ models_to_check=models_to_check
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​modules/​loading.py",​ line 222, in load_module_graph
 +    load_data(cr,​ idref, mode, kind='​data',​ package=package,​ report=report)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​modules/​loading.py",​ line 68, in load_data
 +    tools.convert_file(cr,​ package.name,​ filename, idref, mode, noupdate, kind, report)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addonsx/​stock_scanner/​load_scenario.py",​ line 229, in scenario_convert_file
 +    kind=kind, report=report,​ pathname=pathname)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 802, in convert_file
 +    convert_xml_import(cr,​ module, fp, idref, mode, noupdate, report)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 865, in convert_xml_import
 +    obj.parse(doc.getroot(),​ mode=mode)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 764, in parse
 +    exc_info[2]
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​pycompat.py",​ line 86, in reraise
 +    raise value.with_traceback(tb)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 758, in parse
 +    self._tags[rec.tag](rec,​ de, mode=mode)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 736, in _tag_template
 +    return self._tag_record(record,​ data_node)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​tools/​convert.py",​ line 663, in _tag_record
 +    record = model.with_context(rec_context)._load_records([data],​ self.mode == '​update'​)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3868, in _load_records
 +    records = self._load_records_create([data['​values'​] for data in to_create])
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​website/​models/​ir_ui_view.py",​ line 129, in _load_records_create
 +    records = super(View, self)._load_records_create(values)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3782, in _load_records_create
 +    return self.create(values)
 +  File "<​decorator-gen-32>",​ line 2, in create
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 462, in _model_create_multi
 +    return create(self,​ arg)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 428, in create
 +    return super(View, self).create(vals_list)
 +  File "<​decorator-gen-3>",​ line 2, in create
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​api.py",​ line 462, in _model_create_multi
 +    return create(self,​ arg)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3599, in create
 +    fields[0].determine_inverse(batch_recs)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​fields.py",​ line 1125, in determine_inverse
 +    getattr(records,​ self.inverse)()
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 275, in _inverse_arch
 +    view.write(data)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​website/​models/​ir_ui_view.py",​ line 41, in write
 +    return super(View, self).write(vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​addons/​base/​models/​ir_ui_view.py",​ line 444, in write
 +    return super(View, self).write(self._compute_defaults(vals))
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3324, in write
 +    self._write(store_vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 3460, in _write
 +    self._validate_fields(vals)
 +  File "/​usr/​lib/​python3/​dist-packages/​odoo/​models.py",​ line 1112, in _validate_fields
 +    raise ValidationError("​%s\n\n%s"​ % (_("​Error while validating constraint"​),​ tools.ustr(e)))
 +odoo.tools.convert.ParseError:​ "Error while validating constraint
 +
 +Element '<​xpath expr="//​div[hasclass('​o_brand_promotion'​)]">'​ cannot be located in parent view
 +
 +Error context:
 +View `website_sale.brand_promotion`
 +[view_id: 2290, xml_id: n/a, model: n/a, parent_id: 1047]
 +None" while parsing None:1636, near
 +<data inherit_id="​website.brand_promotion">​
 +        <xpath expr="//​div[hasclass('​o_brand_promotion'​)]"​ position="​replace">​
 +            <div class="​o_brand_promotion">​
 +                Powered by <a target="​_blank"​ class="​badge badge-danger"​ href="​http://​www.odoo.com/​page/​website-builder?​utm_source=db&​amp;​utm_medium=website">​Odoo</​a>,​
 +                the #1 <a target="​_blank"​ href="​http://​www.odoo.com/​page/​e-commerce?​utm_source=db&​amp;​utm_medium=website">​Open Source eCommerce</​a>​.
 +            </​div>​
 +        </​xpath>​
 +    </​data>​
 +</​code>​
 +You need to uninstall the debranding odoo module, then install the ecommerce for website and then activate again the debranding module
  • daily/odoo_error_when_activating_webiste_sales.txt
  • Last modified: 2019/11/27 07:13
  • by admin